Subject: RE: Multiple Levels of LMM agents (was: RE: [mobile-ip] Revised L ocalized Mobility Management Requirement s)

From: James Kempf <[email-masked]>
Date: Thu, 26 Apr 2001 09:11:22 -0700 (PDT)

Erik,

>I still don't have a picture that tells me what you gain.
>I assume keeping the external COA fixed is not a goal in itself - the
>goal is just better performance (less signalling over long paths).
>

Not quite. It is only by keeping the external CoA fixed that you can
eliminate frequent full-BU-sending MN to CN handovers. If the external
CoA moves, then a full-BU-sending MN to CN handover is needed, in
which the MN must send BUs to all CNs. If the CN is on the other
side of the world, this could be upwards of 160 ms RTT. If there
is more than one such CN, it could quickly add up. If only the
local CoA changes, then the MN needs to send only a single BU, 
to the LMM.

>So if the signalling lines (e.g. between different metropolitan areas,
>different small countries, or different topological clouds that don't follow
>any geographic notion like metro or country) are long then you can just have
>one LMM per such cloud without any hierarchy.
>Thus movement between clouds cause the home agent and 
>correspondents to be updated.
>

If you have one LMM per cloud w. no hierarchy, you have to change globally 
visible CoA when you move from one LMM to another. This results in latency
when multiple BUs get sent to the CNs, instead of just one to the LMM. It is 
possible in deployment situations that for topological or network administration 
reasons you would have to deploy many LMMs and as a result suffer much
latency from frequent full-BU-sending handovers, rather than the
single BU-sending handover you get if you don't change the globally
visible CoA. 

>In this case when a mobile moves within the cloud (e.g. one metro)
>there is only local signalling, and the movement between clouds 
>the boundaries between the clouds in the operator's network have
>been designed so that the movement between them is infrequent.
>

May not be possible to design such that movement between them is
infrequent. What if you have a situation with multiple, small
wireless ISPs in a geographical area who want to optimize signalling
within their own administrative domain, but they are peering 
through a larger ISP? (BTW, this is an example I brought up
last week on the list if you care to check the archive).

If the LMM protocol supports hierarchy, the peering ISP can
support an upper level LMM that keeps the globally visible
CoA constant while the MN moves between LMM agents in the
small wireless ISPs.

>When would you need another level of hierarchy?
>

See above.

>Or stated differently, if you place the LMMs so that the latency over the
>wired part of the network between the MNs and their LMM is on the order
>of 10 ms, and let the HA then it seems like for it to make sense to have 
>another level of hierachy below it that level should be two orders of magnitude
>of delay less i.e. on the order of .1 ms. Thus speed of light in copper/glass
>would limit that to 20-30km in size. Sure, you could argue that you need an
>additional level for each factor 3 or 10 in the latency domain, but my
>personal gut feel is that in such a case you are adding complexity for little
>performance gain, especially given that any signalling involving the MN will
>add on the order of 50 ms of delay due to the coding necessary to deal with
>the fading.
>

It doesn't have anything to do with the latency between the levels
of hierarchy but rather between the mobile node and the CNs. If you
can't arrange LMM agents such that you can keep the global CoA constant
and thus reduce the need for full-BU-sending handovers, you end up
with high latency handovers and frequent dropped calls.

		jak

---

From: Erik Nordmark <[email-masked]>
Date: Thu, 26 Apr 2001 12:54:30 -0700 (PDT)

> local CoA changes, then the MN needs to send only a single BU, 

Yes, but if the network is engineered so that this only happens infrequently
e.g. when moving between metro areas then this might be a reasonable
tradeoff.
Or stated differently, if an operator has a world-wide network and
a hierarchy of LMMs with "global" at the top, and metro area LMMs below that,
then any movement between metro areas involves signalling across the planet
to reach the global LMM. Thus in this case you have no gain.
Perhaps there is gain for some other split. But I personally feel I need
concrete examples before I can understand when there is a gain.

> last week on the list if you care to check the archive).

You're assuming that those ISPs have sufficient mutual trust to
eastblish whatever security associations are needed, right?
(This is presumably a lot easier when confined to a single adminstrative
domain.)
If they are really overlapping ISPs (i.e. an MN might ping-pong between
base stations belonging to different ISPs) then what is the benefit of
each ISP running an LMM? Seems like there might as much inter-ISP as
intra-ISP local movement. Thus isn't a shared LMM for the set of ISPs 
what you'd want in this case?

> CoA constant while the MN moves between LMM agents in the

See above. Can also be done with a single LMM for the set of ISPs.

> of hierarchy but rather between the mobile node and the CNs. 

Huh? Are you saying that the latency between a MN and a CN is 10 ms
it doesn't matter if the latency between the MN and the bottom level 
LMM is 50 ms, the latency between the bottom and level 2 LMM is 100 ms, etc?

I think the relative latency is what matter.

> If you

Sounds like we almost agree on one thing.
Except that "constant" isn't the goal since that reads like looking
for a free lunch to me.

  Erik